﻿param([switch]$Elevated)

function Test-Admin {
  $currentUser = New-Object Security.Principal.WindowsPrincipal $([Security.Principal.WindowsIdentity]::GetCurrent())
  $currentUser.IsInRole([Security.Principal.WindowsBuiltinRole]::Administrator)
}

if ((Test-Admin) -eq $false)  {
    if ($elevated) 
    {
        # tried to elevate, did not work, aborting
    } 
    else {
        Start-Process powershell.exe -Verb RunAs -ArgumentList ('-ExecutionPolicy Bypass -noprofile -noexit -file "{0}" -elevated' -f ($myinvocation.MyCommand.Definition))
}

exit
}

'running with full privileges'

cd $PSScriptRoot
$Dispositivo = Read-Host -Prompt 'Notebook, Tablet, Motherboard?'
$Modelo = Read-Host -Prompt 'Modelo'
$Path = Join-Path -path $Dispositivo -ChildPath $Modelo
$FinalPath = Join-Path -path . -ChildPath $Path
Get-ChildItem $FinalPath -Recurse -Filter "*.inf" | ForEach-Object { PNPUtil.exe /add-driver $_.FullName /install }